# currently only python 2 is supported, python 3 support is promised
%{?python_enable_dependency_generator}

%global beta_tag .beta.exe

Name:		bCNC
Version:	0.9.14.52
Release:	0.1.beta%{?dist}
Summary:	GRBL CNC command sender, autoleveler and G-code editor
License:	GPLv2
URL:		https://github.com/vlachoudis/%{name}
Source0:	%{URL}/archive/%{version}%{?beta_tag}/%{name}-%{version}%{?beta_tag}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-setuptools, python2-devel, desktop-file-utils
BuildRequires:	python2-pyserial, python2-numpy, python2-pillow, ImageMagick
BuildRequires:	findutils, sed
Patch0:		bCNC-0.9.14.52-locale-fix.patch
Patch1:		bCNC-0.9.14.52-pyserial-requirement-fix.patch
Patch2:		bCNC-0.9.14.52-system-paths.patch
# Not available on f30+
#BuildRequires:	python2-opencv

%description
GRBL CNC command sender, autoleveler, G-code editor, digitizer, CAM and swiss
army knife for all your CNC needs.

%prep
%setup -q -n %{name}-%{version}%{?beta_tag}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Drop executable mode on locales
find bCNC/locale -type f -exec chmod a-x {} \;

# Icon convert
convert bCNC/bCNC.png -resize 256x256 ./bCNC.png

%build
%py2_build

%install
%py2_install

# Do not install test suite
rm -rf %{buildroot}%{python2_sitelib}/tests

# Drop hashbangs
pushd %{buildroot}%{python2_sitelib}
find . -name '*.py' -exec sed -i '1{/^#!/ d}' {} \;
popd

# Icon
install -Dpm 0644 bCNC.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/bCNC.png

# Desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install -m 0644 --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  bCNC/bCNC.desktop

# Config
install -Dpm 0644 %{buildroot}%{python2_sitelib}/bCNC/bCNC.ini %{buildroot}%{_sysconfdir}/bCNC.ini

# Bitmap file
install -Dpm 0644 %{buildroot}%{python2_sitelib}/bCNC/bCNC.xbm %{buildroot}%{_datadir}/%{name}/bCNC.xbm

# Icons
mv %{buildroot}%{python2_sitelib}/bCNC/icons %{buildroot}%{_datadir}/%{name}

# Images
mv %{buildroot}%{python2_sitelib}/bCNC/images %{buildroot}%{_datadir}/%{name}

# Drop artifacts
pushd %{buildroot}%{python2_sitelib}/bCNC
rm -f {bCNC,bCNC.bat,bCNC.desktop,bCNC.ico,bCNC.ini,bCNC.png,bCNC.pot,bCNC.xbm,make-exe.bat}
rm -f lib/python_utils/compat.py*
popd

# Handle locale
# Move locale to the right place
mv %{buildroot}%{python2_sitelib}/bCNC/locale %{buildroot}%{_datadir}
# Drop unneeded .po files
pushd %{buildroot}%{_datadir}
find . -name '*.po' -exec rm -f {} \;
popd
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE.md
%doc README.md
%{_bindir}/bCNC
%config(noreplace) %{_sysconfdir}/bCNC.ini
%{_datadir}/icons/hicolor/256x256/apps/bCNC.png
%{_datadir}/applications/bCNC.desktop
%{_datadir}/bCNC
%{python2_sitelib}/bCNC
%{python2_sitelib}/bCNC-%{version}-*.egg-info

%changelog
* Fri Feb  8 2019 Jaroslav Škarvada <jskarvad@redhat.com> - 0.9.14.52-0.1.beta
- Initial release
